CREATE TABLE atk_usage_logs_archive (
    LOG_ID                   NUMBER(18, 0) ,
    SESSION_ID               VARCHAR2(1600)    NOT NULL,
    PAGE_URL                 VARCHAR2(4000),
    USER_AGENT               VARCHAR2(1600),
    LOCALE                   VARCHAR2(1600),
    LOG_LANGUAGE             VARCHAR2(120) ,
    ACCESS_MODE              VARCHAR2(1600),
    VIEW_ID                  VARCHAR2(1600),
    TASKFLOW_ID              VARCHAR2(1600),
    TASKFLOW_VIEWID          VARCHAR2(1600),
    USER_ACTIVITY_TIME       TIMESTAMP(6)      NOT NULL,
    USER_ID                  VARCHAR2(1600)    NOT NULL,
    ACTIVITY_CODE            VARCHAR2(1600)    NOT NULL,
    ACTIVITY_VALUE           VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ECID                     VARCHAR2(1600),
    LOG_ID                   NUMBER(18, 0) ,
    SESSION_ID               VARCHAR2(1600)    NOT NULL,
    PAGE_URL                 VARCHAR2(4000),
    USER_AGENT               VARCHAR2(1600),
    LOCALE                   VARCHAR2(1600),
    LOG_LANGUAGE             VARCHAR2(120) ,
    ACCESS_MODE              VARCHAR2(1600),
    VIEW_ID                  VARCHAR2(1600),
    TASKFLOW_ID              VARCHAR2(1600),
    TASKFLOW_VIEWID          VARCHAR2(1600),
    USER_ACTIVITY_TIME       TIMESTAMP(6)      NOT NULL,
    USER_ID                  VARCHAR2(1600)    NOT NULL,
    ACTIVITY_CODE            VARCHAR2(1600)    NOT NULL,
    ACTIVITY_VALUE           VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ECID                     VARCHAR2(1600),
    CONSTRAINT pk_atk_usage_logs_archive PRIMARY KEY (LOG_ID, LOG_ID)
);
